"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sketch_core_assistant_1 = __importDefault(require("@sketch-hq/sketch-core-assistant"));
exports.config = {
    rules: {
        '@sketch-hq/sketch-core-assistant/artboards-max-ungrouped-layers': {
            active: true,
            maxUngroupedLayers: 5,
        },
        '@sketch-hq/sketch-core-assistant/borders-no-disabled': {
            active: true,
        },
        '@sketch-hq/sketch-core-assistant/fills-no-disabled': {
            active: true,
        },
        '@sketch-hq/sketch-core-assistant/inner-shadows-no-disabled': {
            active: true,
        },
        '@sketch-hq/sketch-core-assistant/shadows-no-disabled': {
            active: true,
        },
        '@sketch-hq/sketch-core-assistant/layer-styles-no-dirty': {
            active: true,
        },
        '@sketch-hq/sketch-core-assistant/text-styles-no-dirty': {
            active: true,
        },
        '@sketch-hq/sketch-core-assistant/groups-no-empty': {
            active: true,
        },
        '@sketch-hq/sketch-core-assistant/groups-no-redundant': {
            active: true,
        },
        '@sketch-hq/sketch-core-assistant/layers-no-hidden': {
            active: true,
        },
        '@sketch-hq/sketch-core-assistant/layers-subpixel-positioning': {
            active: true,
            scaleFactors: ['@1x', '@2x'],
        },
        '@sketch-hq/sketch-core-assistant/shared-styles-no-unused': {
            active: true,
        },
        '@sketch-hq/sketch-core-assistant/layers-no-loose': {
            active: true,
        },
    },
};
const assistant = [
    sketch_core_assistant_1.default,
    () => __awaiter(void 0, void 0, void 0, function* () {
        return {
            name: '@sketch-hq/sketch-tidy-assistant',
            rules: [],
            config: exports.config,
        };
    }),
];
exports.default = assistant;
